commit:     94713d649fa2b3c14e2331b19ab124816ef09108
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 11 14:41:45 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 14 12:39:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94713d64

dev-python/python-dateutil: Enable python3_13t

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../python-dateutil/python-dateutil-2.9.0_p0.ebuild   | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

diff --git a/dev-python/python-dateutil/python-dateutil-2.9.0_p0.ebuild 
b/dev-python/python-dateutil/python-dateutil-2.9.0_p0.ebuild
index 6b3ced20bfc3..74059ed6728c 100644
--- a/dev-python/python-dateutil/python-dateutil-2.9.0_p0.ebuild
+++ b/dev-python/python-dateutil/python-dateutil-2.9.0_p0.ebuild
@@ -5,7 +5,8 @@ EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
 PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..13} pypy3 )
+PYTHON_FULLY_TESTED=( python3_{10..13} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_FULLY_TESTED[@]}" python3_13t )
 
 inherit distutils-r1 pypi
 
@@ -28,7 +29,9 @@ BDEPEND="
        dev-python/setuptools-scm[${PYTHON_USEDEP}]
        test? (
                dev-python/freezegun[${PYTHON_USEDEP}]
-               dev-python/hypothesis[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       dev-python/hypothesis[${PYTHON_USEDEP}]
+               ' "${PYTHON_FULLY_TESTED[@]}")
        )
 "
 
@@ -45,3 +48,15 @@ python_prepare_all() {
 
        distutils-r1_python_prepare_all
 }
+
+python_test() {
+       local EPYTEST_IGNORE=()
+       if ! has_version "dev-python/hypothesis[${PYTHON_USEDEP}]"; then
+               EPYTEST_IGNORE+=(
+                       tests/property
+               )
+       fi
+
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to